Std SelBoundingBox: Difference between revisions

From FreeCAD Documentation
(Std SelBoundingBox sets the 3D view in such a way that selecting individual objects doesn't select the entire shape of a selected object, but only highlights the bounding box.)
 
No edit summary
(20 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:8-->
{{Docnav
|[[Std_DrawStyle|Std DrawStyle]]
|[[Std_ViewIvStereoRedGreen|Std ViewIvStereoRedGreen]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_DrawStyle.svg
|IconR=Std_ViewIvStereoRedGreen.svg
|IconC=Freecad.svg
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=Std SelBoundingBox
|Name=Std SelBoundingBox
|MenuLocation=[[Std View Menu|View]] → Bounding box
|MenuLocation=View → Bounding box
|Workbenches=All
|Workbenches=All
|Version=0.19
|SeeAlso=[[Std_DrawStyle|Std DrawStyle]]
|SeeAlso=[[Std_DrawStyle|Std DrawStyle]]
}}
}}


==Description==
==Description== <!--T:2-->


<!--T:3-->
[[Std_SelBoundingBox|Std SelBoundingBox]] sets the [[3D_view|3D view]] in such a way that selecting individual objects doesn't select the entire shape of a selected object, but only highlights the bounding box.
The '''Std SelBoundingBox''' command toggles the global bounding box highlighting mode. If this mode is switched on, selected objects are marked in a [[3D_view|3D view]] with a highlighted bounding box even if their {{PropertyView|Selection Style}} is set to 'Shape'.


==Usage== <!--T:5-->
The bounding box highlight is less intrusive and lets you see the individual sub-elements (vertices, edges, and faces) better when the entire solid is selected.


<!--T:6-->
==How to use==
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Std_SelBoundingBox.svg|16px]] [[Std_SelBoundingBox|Std SelBoundingBox]]}} button.
#* Select the {{MenuCommand|View → [[Image:Std_SelBoundingBox.svg|16px]] Bounding box}} option from the menu.


==Preferences== <!--T:10-->
* Click on {{Button|[[File:Std_SelBoundingBox.svg|16px]] [[Std SelBoundingBox|Std SelBoundingBox]]}} on the view toolbar.

* Or got to the menu {{MenuCommand|View → [[File:Std_SelBoundingBox.svg|16px]] [[Std SelBoundingBox|Bounding box]]}}.
<!--T:11-->
The related setting is stored: {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → View → ShowSelectionBoundingBox}}. It is a boolean value, the default is {{FALSE}}.

==Scripting== <!--T:12-->

<!--T:13-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:14-->
To change the ShowSelectionBoundingBox setting use the {{incode|SetBool}} method of the appropriate ParameterGrp. The code sample does not work if FreeCAD is in console mode.

</translate>
{{Code|code=
import FreeCAD, FreeCADGui

grp = FreeCAD.ParamGet('User parameter:BaseApp/Preferences/View')
if grp.GetBool('ShowSelectionBoundingBox'):
grp.SetBool('ShowSelectionBoundingBox',False)
else:
grp.SetBool('ShowSelectionBoundingBox',True)

FreeCADGui.updateCommands()
}}
<translate>

<!--T:9-->
{{Docnav
|[[Std_DrawStyle|Std DrawStyle]]
|[[Std_ViewIvStereoRedGreen|Std ViewIvStereoRedGreen]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_DrawStyle.svg
|IconR=Std_ViewIvStereoRedGreen.svg
|IconC=Freecad.svg
}}


{{Std Base}}
{{Userdocnavi}}
</translate>
</translate>
{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Revision as of 21:26, 20 April 2020

Std SelBoundingBox

Menu location
View → Bounding box
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
Std DrawStyle

Description

The Std SelBoundingBox command toggles the global bounding box highlighting mode. If this mode is switched on, selected objects are marked in a 3D view with a highlighted bounding box even if their ViewSelection Style is set to 'Shape'.

Usage

  1. There are several ways to invoke the command:
    • Press the Std SelBoundingBox button.
    • Select the View → Bounding box option from the menu.

Preferences

The related setting is stored: Tools → Edit parameters... → BaseApp → Preferences → View → ShowSelectionBoundingBox. It is a boolean value, the default is false.

Scripting

See also: FreeCAD Scripting Basics.

To change the ShowSelectionBoundingBox setting use the SetBool method of the appropriate ParameterGrp. The code sample does not work if FreeCAD is in console mode.

import FreeCAD, FreeCADGui

grp = FreeCAD.ParamGet('User parameter:BaseApp/Preferences/View')
if grp.GetBool('ShowSelectionBoundingBox'):
  grp.SetBool('ShowSelectionBoundingBox',False)
else:
  grp.SetBool('ShowSelectionBoundingBox',True)

FreeCADGui.updateCommands()